List Campaigns
1 min
GET
https://api.optimizely.com/v2/campaigns
per_pageintegerOptional pagination argument that specifies the maximum number of objects to return per request
pageintegerOptional pagination argument that specifies the page to return. If you have 140 objects and you choose to return 100 objects per page you will be able to access the last 40 objects on page 2. The default value is 1.
project_idinteger<int64>The Project ID of the Project you would like to list all Campaigns for
for_journeybooleanFilter campaigns by journey status
archivedbooleanFilter campaigns by archived status
acceptstringGenerated from available response content types
200Return all Campaigns
401Invalid credentials
403You do not have access to Campaigns under the specified Project
404Project not found
defaultUnexpected error
curl --request GET \
--url 'https://api.optimizely.com/v2/campaigns?per_page=25&page=1&project_id=integer%3Cint64%3E' \
--header 'accept: application/json'